[Setup]
;-- Main Setup Information
 AppName                  = SQL-Exchange Client
 AppVerName               = SQL-Exchange Client 1.0.0.0
 AppCopyright             = Copyright  1995-2003 Enginuity.
 DefaultDirName           = {pf}\Enginuity\SQL-Exchange\Client
 DefaultGroupName         = Enginuity\SQL-Exchange Client
 UninstallDisplayIcon     = {app}\SQLEClient.Exe
 UninstallStyle           = Modern
 WizardImageFile          = Resources\LgSetup.bmp
 WizardSmallImageFile     = Resources\SmSetup.bmp
 PrivilegesRequired       = PowerUser
 Uninstallable            = Yes
 AppMutex                 = SQL-Exchange Client
 LicenseFile              = Resources\EULA.txt
 Compression              = ZIP/9
 OutputBaseFilename       = Setup
;UninstallLogMode         = OverWrite
 UninstallRestartComputer = Yes
 DisableStartupPrompt     = Yes
 DirExistsWarning         = No

;-- Windows 2000 & XP (Support Dialog)
 AppPublisher    = Enginuity
 AppPublisherURL = http://www.MyEnginuity.com/
 AppUpdatesURL   = http://www.MyEnginuity.com/
 AppVersion      = 1.0.0.0

[Files]
 Source: "..\Debug\SQLEClient.Exe";           DestDir: "{app}"; Flags: IgnoreVersion RestartReplace;
 Source: "ServiceCtl\Release\ServiceCtl.Exe"; DestDir: "{app}"; Flags: IgnoreVersion;

 Source: "Resources\EULA.txt";                DestDir: "{app}"; Flags: IgnoreVersion;
 Source: "Resources\OpenDlg.ico";             DestDir: "{app}"; Flags: IgnoreVersion;
 Source: "Resources\Start.ico";               DestDir: "{app}"; Flags: IgnoreVersion;
 Source: "Resources\Stop.ico";                DestDir: "{app}"; Flags: IgnoreVersion;

 Source: "Libraries\NSWFL.Dll";               DestDir: "{app}"; Flags: RestartReplace;
 Source: "Libraries\NASCCL.Dll";              DestDir: "{app}"; Flags: RestartReplace;

[Icons]
 Name: "{group}\Open Client";    Filename: "{app}\ServiceCtl.Exe";  WorkingDir: "{app}"; Parameters: "/openmaindialog"; IconFilename: "{app}\OpenDlg.ico"
 Name: "{group}\Start Service";  Filename: "{app}\ServiceCtl.Exe";  WorkingDir: "{app}"; Parameters: "/start";          IconFilename: "{app}\Start.ico"
 Name: "{group}\Stop Service";   Filename: "{app}\ServiceCtl.Exe";  WorkingDir: "{app}"; Parameters: "/stop";           IconFilename: "{app}\Stop.ico"

[Dirs]
 Name: "{app}\Logs"

[Registry]
 Root: HKLM; Subkey: "Software\Enginuity\SQL-Exchange\Client"; Flags: UninsDeleteKey

 Root: HKLM; Subkey: "Software\Enginuity\SQL-Exchange\Client"; ValueName: "Path";            ValueType: String; ValueData: "{app}";          Flags: CreateValueIfDoesntExist;
 Root: HKLM; Subkey: "Software\Enginuity\SQL-Exchange\Client"; ValueName: "SessionLog";      ValueType: String; ValueData: "{app}\Logs";     Flags: CreateValueIfDoesntExist;
 Root: HKLM; Subkey: "Software\Enginuity\SQL-Exchange\Client"; ValueName: "SQLDriver";       ValueType: String; ValueData: "{{SQL Server}";  Flags: CreateValueIfDoesntExist;
 Root: HKLM; Subkey: "Software\Enginuity\SQL-Exchange\Client"; ValueName: "SQLPassword";     ValueType: String; ValueData: "";               Flags: CreateValueIfDoesntExist;
 Root: HKLM; Subkey: "Software\Enginuity\SQL-Exchange\Client"; ValueName: "SQLServer";       ValueType: String; ValueData: "";               Flags: CreateValueIfDoesntExist;
 Root: HKLM; Subkey: "Software\Enginuity\SQL-Exchange\Client"; ValueName: "SQLUserID";       ValueType: String; ValueData: "sa";             Flags: CreateValueIfDoesntExist;
 Root: HKLM; Subkey: "Software\Enginuity\SQL-Exchange\Client"; ValueName: "SQLDatabase";     ValueType: String; ValueData: "";               Flags: CreateValueIfDoesntExist;
 Root: HKLM; Subkey: "Software\Enginuity\SQL-Exchange\Client"; ValueName: "WPServer";        ValueType: String; ValueData: "NTDLS.Com";      Flags: CreateValueIfDoesntExist;
 Root: HKLM; Subkey: "Software\Enginuity\SQL-Exchange\Client"; ValueName: "CompanyName";     ValueType: String; ValueData: "";               Flags: CreateValueIfDoesntExist;
 Root: HKLM; Subkey: "Software\Enginuity\SQL-Exchange\Client"; ValueName: "CompanyPassword"; ValueType: String; ValueData: "";               Flags: CreateValueIfDoesntExist;

 Root: HKLM; Subkey: "Software\Enginuity\SQL-Exchange\Client"; ValueName: "AuthString";      ValueType: String; ValueData: "trIeSPiUhouDlUwRLe5hie2H5awRoupiaDi8zI0fo3Y7u6R703r7e6rLacrouChi";  Flags: CreateValueIfDoesntExist;
 Root: HKLM; Subkey: "Software\Enginuity\SQL-Exchange\Client"; ValueName: "BaseCommKey";     ValueType: String; ValueData: "6riupiekieB8uphiuspi0tr6azl2piAth6us6ieko2zoap2818UviapHlEvo5joe";  Flags: CreateValueIfDoesntExist;

 Root: HKLM; Subkey: "Software\Enginuity\SQL-Exchange\Client"; ValueName: "ConnectPort";     ValueType: Dword;  ValueData: "6632";            Flags: CreateValueIfDoesntExist;
 Root: HKLM; Subkey: "Software\Enginuity\SQL-Exchange\Client"; ValueName: "TCPLoopDelay";    ValueType: Dword;  ValueData: "1";               Flags: CreateValueIfDoesntExist;

[Run]
 Filename: "{app}\ServiceCtl.EXE"; Parameters: "/install";
 Filename: "{app}\ServiceCtl.EXE"; Parameters: "/start";

[UninstallRun]
 Filename: "{app}\ServiceCtl.EXE"; Parameters: "/delete"; RunOnceId: "DeleteService"; MinVersion: 0, 4.0

